"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  default: () => src_default
});
module.exports = __toCommonJS(src_exports);

// src/transform.ts
var import_magic_string = __toESM(require("magic-string"), 1);
function transform(code, id, basic) {
  if (id.endsWith(".css")) {
    const s = new import_magic_string.default(code);
    const reg = /(?<=(\.|\#))(.*)(?=\s*\{)/g;
    const matches = Array.from(code.matchAll(reg));
    if (!matches.length)
      return;
    for (const match of matches) {
      const selector = match[0];
      const dot = match[1];
      const raw = `${dot}${selector}`;
      if (raw.includes(basic))
        continue;
      const start = match.index - 1;
      const end = start + selector.length + 1;
      const replacement = `${basic} ${raw}`;
      s.update(start, end, replacement);
    }
    return {
      code: s.toString(),
      map: s.generateMap()
    };
  }
}

// src/index.ts
function VitePluginBasicCssSelector(basic, options) {
  return {
    name: "vite-plugin-basic-css-selector",
    enforce: options == null ? void 0 : options.enforce,
    apply: options == null ? void 0 : options.apply,
    transform(code, id) {
      return transform(code, id, basic);
    }
  };
}
var src_default = VitePluginBasicCssSelector;
